<?php
namespace FiloBlu\Rma\Model\ResourceModel\Carrier;

use FiloBlu\Rma\Api\Data\RateFactoryInterface;

/**
 * Factory class for @see \FiloBlu\Rma\Model\ResourceModel\Carrier\ChangeSizeRate
 */
class ChangeSizeRateFactory implements RateFactoryInterface
{
    /**
     * Object Manager instance
     *
     * @var \Magento\Framework\ObjectManagerInterface
     */
    protected $_objectManager = null;

    /**
     * Instance name to create
     *
     * @var string
     */
    protected $_instanceName = null;

    /**
     * Factory constructor
     *
     * @param \Magento\Framework\ObjectManagerInterface $objectManager
     * @param string $instanceName
     */
    public function __construct(\Magento\Framework\ObjectManagerInterface $objectManager, $instanceName = '\\FiloBlu\\Rma\\Model\\ResourceModel\\Carrier\\ChangeSizeRate')
    {
        $this->_objectManager = $objectManager;
        $this->_instanceName = $instanceName;
    }

    /**
     * Create class instance with specified parameters
     *
     * @param array $data
     * @return \FiloBlu\Rma\Model\ResourceModel\Carrier\ChangeSizeRate
     */
    public function create(array $data = [])
    {
        return $this->_objectManager->create($this->_instanceName, $data);
    }
}
